[project]
name = "konabot"
version = "0.1.0"
description = "在 MTTU 内部使用的 bot"
authors = [{ name = "passthem", email = "Passthem183@gmail.com" }]
requires-python = ">=3.12,<4.0"
dependencies = [
  "nonebot2[all] (>=2.4.3,<3.0.0)",
  "nonebot-adapter-onebot (>=2.4.6,<3.0.0)",
  "nonebot-adapter-console (>=0.9.0,<0.10.0)",
  "nonebot-adapter-discord (>=0.1.8,<0.2.0)",
  "nonebot-adapter-minecraft (>=1.5.2,<2.0.0)",
  "nonebot-plugin-alconna (>=0.59.4,<0.60.0)",
  "nonebot-plugin-apscheduler (>=0.5.0,<0.6.0)",
  "requests (>=2.32.5,<3.0.0)",
  "beautifulsoup4 (>=4.13.5,<5.0.0)",
  "lxml (>=6.0.2,<7.0.0)",
  "pillow (>=11.3.0,<12.0.0)",
  "imagetext-py (>=2.2.0,<3.0.0)",
  "opencv-python-headless (>=4.12.0.88,<5.0.0.0)",
  "returns (>=0.26.0,<0.27.0)",
  "skia-python (>=138.0,<139.0)",
  "nonebot-plugin-analysis-bilibili (>=2.8.1,<3.0.0)",
  "qrcode (>=8.2,<9.0)",
  "nanoid (>=2.0.0,<3.0.0)",
  "opencc (>=1.1.9,<2.0.0)",
  "playwright (>=1.55.0,<2.0.0)",
  "openai (>=2.7.1,<3.0.0)",
  "imageio (>=2.37.2,<3.0.0)",
]

[tool.poetry]
package-mode = false

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"

[[tool.poetry.source]]
name = "mirrors"
url = "https://pypi.tuna.tsinghua.edu.cn/simple/"
priority = "primary"

[tool.poetry.dependencies]


[dependency-groups]
dev = [
    "rust-just (>=1.43.0,<2.0.0)"
]
